ChangePin

Change the specified card’s PIN.

IMPORTANT:

This API method contains PCI sensitive information.

  • Session-Id="Encrypted" AES Key e-g (AB521456236KHU52) is required for encryption of sensitive data.

You can read more on how our Secure API’s work here.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
referenceString1-255 characters✓The user defined reference to the card; for example a member id or wallet number
cardIdentifierString1-20 characters✓The card number, sequence number or tracking number of the specified card. Field is required if the customer has more than one card linked to their wallet
newPINStringspecial - see description✓The new PIN number for the card, the length is defined by the PIN length set up in your campaign. (Encrypted).
IVString✓The key with which encrypted data in response is encrypted. (Key used for encryption).
transactionIDString1-255 characters✓a unique identifier generated by the client, which must not be duplicated over time.
transactionDateDate✓Client generated / local Transaction Date to assist in identifying transactions on the client side
checksumString✓The calculated HMAC-SHA256 signature of the call as specified in the IMPORTANT section at the top
<methodCall>
    <methodName>ChangePin</methodName>
    <params>
        <param>
            <value>
                <string>0014682067</string>
            </value>
        </param>
        <param>
            <value>
                <string>TESTTTK</string>
            </value>
        </param>
        <param>
            <value>
                <string>4987057272502351</string>
            </value>
        </param>
        <param>
            <value>
                <string>GB65YU</string>
            </value>
        </param>
        <param>
            <value>
                <string> GHT67KMJ983UJGB678TGEW</string>
            </value>
        </param>
        <param>
            <value>
                <string>123456</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20200327T00:00:00</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>07B15A4A5D7E9DCB1F96094C2F011AD51CD6364A</string>
            </value>
        </param>
    </params>
</methodCall>

Response Parameters

FieldtypeDescription
resultCodeIntegerStatus code indicating transaction result
resultTextStringText indicating transaction result.
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>Approved</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>